Create a new site
POST
/sites/
Create a new site from a staged upload.
- Get a presign:
POST /sites/upload-batches/presign/withfile_intents(client_refcan be any unique id;file_nameis the asset basename, e.g.site.zip). - Upload bytes to S3 using
files[].upload_urlandfiles[].upload_fieldsfrom the presign response (seePOST /sites/upload-batches/presign/). - Create the site:
POST /sites/withapplication/jsonincludingname,api_name, and the returnedfile_id. Optionally setentry_pathwhen the zip has noindex.html.
Required Scopes
- sites.read-write
Request
Responses
- 200
Successful response
Loading...